#pragma once

#include "HtmlElement.h"

class HtmlTextRun : public HtmlElement
{
public:
    HtmlTextRun() : HtmlElement("NONE_HtmlTextRun")
    {

    }

    Type getType() const override
    {
        return Type::TEXT_RUN;
    }

    std::string toString(unsigned, bool) const override
    {

        return getText();
    }
};
